package org.springblade.common.notify.rocketmq.consumer;

import java.util.Properties;

/**
 * 消息消费者代理接口定义
 *
 * @author Cai Yihua
 **/
public interface ConsumerProxy {

    /**
     * 启动消息消费者
     *
     * @param properties
     * @param mqMessageHandlerHolder
     */
    void startup(Properties properties, MqMessageHandlerHolder mqMessageHandlerHolder);

    /**
     * 销毁消息消费者
     */
    void shutdown();

    /**
     * 是否启动
     *
     * @return
     */
    boolean isStarted();
}
